<?php
function sysadmin_get_license() {
	$ret = '';
	if (zend_loader_file_encoded()) {
		//hide errors!
		set_error_handler('is_null', -1);
		$ret = zend_loader_file_licensed();
		restore_error_handler();
	} else {
		//this file isnt encoded? Hopefull were on a development system...
		global $amp_conf;
		if (!isset($amp_conf['ASTAGIDIR'])) {
			$amp_conf['ASTAGIDIR'] = '/var/lib/asterisk/agi-bin';
		}
		$dir 		= scandir($amp_conf['ASTAGIDIR']);
		//look for license file in the dir
		foreach ($dir as $f) {
			if (substr($f, 0, 8) == 'license-' && substr($f, -3) == '.zl' && strlen($f) > 11) {
				$lic_file = $amp_conf['ASTAGIDIR']  . '/' . $f;
				break;
			}
		}
			//hide errors!
			set_error_handler('is_null', -1);
			$ret = @parse_ini_file($lic_file);
			restore_error_handler();
			
			//still didnt work? Try to parse the license file "manually"
			if (!$ret) {
				foreach (file($lic_file) as $num => $line) {
					$l = explode('=', $line, 2);
					if (!trim($l[0])) { //ignore blank lines
						continue;
					}
					$ret[trim($l[0])] = trim($l[1]);
				}
			}
	}
	return $ret ? $ret : false;
}

?>